Bug 186791 - Dialog "Volume Control" is too narrow
Dialog "Volume Control" is too narrow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-audio (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 09:52 EST by mnemo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.20.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 10:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of too-narrow default window. (10.51 KB, image/png)
2007-10-06 12:00 EDT, Luis Villa
no flags Details

  None (edit)
Description mnemo 2006-03-26 09:52:25 EST
Description of problem:

When you double-click on the sound icon a dialog called "Volume Control" is
showed. For some obscure reason this dialog is 2cm wide while the actual window
content is like atleast 600-800pixels wide. Consequently I have to use a
horzontal scrollbar or resize the window to use it. That's silly, the dialog
should be wider by default.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2007-04-19 11:20:58 EDT
I don't understand the problem. Do you have a screenshot showing the problem? Do
you still see the problem with more recent versions?
Comment 2 Luis Villa 2007-10-06 11:59:35 EDT
I'm seeing it with F8t3. Run gnome-volume-control, and you get a window which is
less than two volume-control-columns wide. Screenshot attached momentarily.
Comment 3 Luis Villa 2007-10-06 12:00:24 EDT
Created attachment 218491 [details]
Screenshot of too-narrow default window.
Comment 4 Bastien Nocera 2007-10-10 10:34:38 EDT
gnome_volume_control_window_init() sets the default width and height to whatever
they were on the previous run, with 500 being the default width.

So you were running it with a very small width, then that would happen. I'll add
the patch from http://bugzilla.gnome.org/show_bug.cgi?id=485411 to set a minimum
size even if the GConf value is smaller.
Comment 5 Luis Villa 2007-10-10 10:42:42 EDT
I'm seeing this on a clean install with a default ('fedora-livecd') user, so
there should be no previous runs. 
Comment 6 Bastien Nocera 2007-10-10 10:49:15 EDT
(In reply to comment #5)
> I'm seeing this on a clean install with a default ('fedora-livecd') user, so
> there should be no previous runs. 

Good catch. Packaging bug, the GConf schema for the mixer was never installed
properly, so the code would have tried "0" as the default width...

2.20.1-5 will have the proper fix, work-around still applies.
Comment 7 mnemo 2007-10-10 12:50:54 EDT
I also had that problem with a clean install, that's why I posted the bug in the
first place. I think it's a perfectly reasonably usecase to set the width to
some small value (and expect it to stay small even if I re-launch).

Note You need to log in before you can comment on or make changes to this bug.